Hostgroup inheritance for LCE and CV does not work for grandchildren hostgroups
Description

1. 1) create a hostgroup 'parent' with LCE and CV

2. 2) create a child hostgroup 'child' and choose 'parent' as as parent hostgroup

It takes the correct values from 'parent' for LCE and CV, but does not add 'Inherit parent (...)'

Change LCE and CV to something new

1. 3) create a grandchild hostgroup 'grandchild' and choose 'child' as parent hostgroup

CV and LCE are taken from 'parent' hostgroup rather than from 'child' hostgroup

 In my opinion, there are multiple thing that are going wrong here:

1) https://github.com/Katello/katello/blob/master/app/helpers/katello/hosts_and_hostgroups_helper.rb#L134 and 

https://github.com/Katello/katello/blob/master/app/helpers/katello/hosts_and_hostgroups_helper.rb#L163 methods do not pick the

`Inherit parent (...)` option, it is added to the beginning of the list only

2) The parent host group is not resolved correctly for CV and LCE. This can either be a UI problem during saving of the new

hostgroup or a problem that is hidden deeper.

History

#1 - 03/27/2024 05:51 PM - Jeremy Lenz

- Status changed from New to Need more information

Hi Nadja

We've had a lot of improvements in the hostgroup area lately. Does this issue also occur on nightly / master ?

#2 - 04/02/2024 08:42 AM - Nadja Heitmann

- Found in Releases Katello Next added

- Found in Releases deleted (Katello 4.11.1)

#3 - 04/02/2024 09:40 AM - Nadja Heitmann

Jeremy Lenz wrote in #note-1:

We've had a lot of improvements in the hostgroup area lately. Does this issue also occur on nightly / master ?

 Hi Jeremy,

thanks for the feedback. I have tested on a nightly Forklift and there is the same problem. I cannot pin down why the inherited CL/LCE is not resolved

correctly for grandchildren.

#4 - 04/03/2024 05:36 PM - Samir Jha

- Status changed from Need more information to New
https://github.com/Katello/katello/blob/master/app/helpers/katello/hosts_and_hostgroups_helper.rb#L134
https://github.com/Katello/katello/blob/master/app/helpers/katello/hosts_and_hostgroups_helper.rb#L163


- Target version set to Katello 4.13.0

- Triaged changed from No to Yes

#5 - 04/03/2024 05:37 PM - Samir Jha

- Category set to Hosts

#6 - 04/18/2024 02:09 AM - Partha Aji

https://projects.theforeman.org/issues/37290#note-3

Hey Nadja,

While I am able to reproduce 2 i.e.

2) create a child hostgroup 'child' and choose 'parent' as as parent hostgroup

It takes the correct values from 'parent' for LCE and CV, but does not add 'Inherit parent (...)'

Change LCE and CV to something new

 I am not able to reproduce 3

3) create a grandchild hostgroup 'grandchild' and choose 'child' as parent hostgroup

CV and LCE are taken from 'parent' hostgroup rather than from 'child' hostgroup

 It clearly shows me the child hostgroups LCE and CV for the grandchild.

We can try to resolve the inherit but I dont think the other is a problem.

Can you please verify again.

#7 - 04/18/2024 11:54 AM - Nadja Heitmann

Hey Partha, thanks a lot for testing. I tried again, and indeed, it is exactly as you describe. Looks like there was an issue on my nightly Forklift deploy,

sorry for that!

2) create a child hostgroup 'child' and choose 'parent' as as parent hostgroup

It takes the correct values from 'parent' for LCE and CV, but does not add 'Inherit parent (...)'

Change LCE and CV to something new

 This is a minor issue then, I would say. Would be nice to fix though to have the UI consistent.
